Bug 1112757 - No requests made for composite content view list or available
Summary: No requests made for composite content view list or available
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: Walden Raines
QA Contact: Sachin Ghai
URL: http://projects.theforeman.org/issues...
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-24 15:51 UTC by Walden Raines
Modified: 2016-04-22 15:59 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-07-02 14:14:48 UTC


Attachments (Terms of Use)
content-view being listed under composite-view (52.43 KB, image/png)
2014-06-25 16:48 UTC, Sachin Ghai
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 6274 None None None 2016-04-22 15:59 UTC

Description Walden Raines 2014-06-24 15:51:46 UTC
When I go to the content view tab for a composite content view I don't see any content views even though one has been published/promoted, no requests are made.

h3. Steps to Reproduce

# Ensure you have a published content view
# Create a composite content view
# Go to the composite content view tab
# Attempt to add the published content view
# Notice it is not displayed and no requests are made

Comment 1 Walden Raines 2014-06-24 15:51:48 UTC
Created from redmine issue http://projects.theforeman.org/issues/6274

Comment 2 Walden Raines 2014-06-24 15:51:52 UTC
Upstream bug assigned to walden@redhat.com

Comment 3 Walden Raines 2014-06-24 15:55:01 UTC
commit 3f9a147bc87d97b669f9cba9d103499b04548c42
Merge: e93a8d3 9e47373
Author: Walden Raines <walden@redhat.com>
Date:   Wed Jun 18 15:20:32 2014 -0400

    Merge pull request #4301 from waldenraines/6274
    
    Fixes #6274 - only disable initial load if it's actually disabled.

commit 9e47373d824f7c23a047c522e5e9ad6f6428e846
Author: Walden Raines <walden@redhat.com>
Date:   Wed Jun 18 14:20:48 2014 -0400

    Fixes #6274 - only disable initial load if it's actually disabled.

Comment 7 Sachin Ghai 2014-06-25 16:46:57 UTC
Verified with sat6 beta snap10 compose3

I can see list of content-view names under composite-view. Please see screenshot for verification.

Comment 8 Sachin Ghai 2014-06-25 16:48:35 UTC
Created attachment 912171 [details]
content-view being listed under composite-view

Comment 9 Bryan Kearney 2014-07-02 14:09:57 UTC
This was delivered with 6.0.3, which is the Satellite 6 Beta.

Comment 10 Bryan Kearney 2014-07-02 14:10:17 UTC
This was delivered in 6.0.3, the Beta version of Satellite 6.0

Comment 11 Bryan Kearney 2014-07-02 14:14:48 UTC
This was delivered in the Satellite 6 Beta (6.0.3)


Note You need to log in before you can comment on or make changes to this bug.